## gpsshogi 0.4.3

=== sample/opening_search/Makefile ===
GPSSHOGI_HOME = ../..
include $(GPSSHOGI_HOME)/makefile.conf
-include $(GPSSHOGI_HOME)/makefile.local
-include makefile.local

ifdef PROFILE
RELEASE = true
endif

#
all:
	$(MAKE) programs
programs: master client histogram

ifdef PROFILE
PROF = $(PROFILE_FLAGS)
LDFLAGS += $(PROF)
endif

LOADLIBES += $(GPSSHOGI_LIB_DIR)/redis/libgpsshogiredis.a \
             $(FILE_OSL_ALL) \
             -lhiredis -lglog \
	     -lboost_thread$(BOOST_POSTFIX_MT) -lboost_program_options$(BOOST_POSTFIX) -lpthread

## #gcc
OTHERFLAGS = -pipe -Wall $(CPUOPTION)
ifdef DEBUG
CXXOPTFLAGS = -O
OTHERFLAGS += -g -DDEBUG 
else
CXXOPTFLAGS = $(RELEASE_CXX_OPTFLAGS)
WARNING_FLAGS += $(WARN_INLINE)
ifdef RELEASE
OTHERFLAGS +=  -DNDEBUG
endif
ifndef PROF
CXXOPTFLAGS += -fomit-frame-pointer
endif
endif

CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)

PROGRAM_SRCS = master.cc client.cc histogram.cc
SRCS = $(PROGRAM_SRCS) 
OBJS = $(patsubst %.cc,%.o,$(SRCS))

CC = $(CXX)
PROGRAMS = $(PROGRAM_SRCS:.cc=)
OSL_HOME_FLAGS = -DOSL_HOME=\"$(shell dirname `dirname \`pwd\``)/osl\"

master:

client:

histogram:

clean: light-clean
	-rm *.o $(PROGRAMS)
	-rm -f core
	-rm *.txt *.png *.csv

light-clean:
	-rm -rf .deps .objs .gch 

-include $(patsubst %.cc,.deps/%.cc.d,$(SRCS))

.PHONY: all clean light-clean

=== debian/changelog ===
gpsshogi (0.4.3-1) unstable; urgency=low

  * New upstream release (r2688).
  * removed patches that the upstream adapted:
    - 20111010-r2604_gpsshell_makefile.patch
    - 20111010-r2603_viewer_pvModel.cc.patch
  * debian/control: Upgraded corresponding libosl version.
  * Added a patch: debian/patches/20120121-r2689-gpsshell.patch.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 21 Jan 2012 17:26:29 +0900

=== debian/control ===
Source: gpsshogi
Section: games
Priority: optional
Maintainer: Daigo Moriwaki <daigo@debian.org>
Build-Depends: debhelper (>= 7), cdbs, quilt, libosl-dev (>= 0.4.3), libboost1.46-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline6-dev, libgsl0-dev
Standards-Version: 3.9.2
Homepage: http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/pukiwiki.php
Vcs-Browser: http://git.debian.org/?p=collab-maint/gpsshogi.git;a=summary
Vcs-Git: git://git.debian.org/git/collab-maint/gpsshogi.git

Package: gpsshogi
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libosl1 (>= 0.4.3), gpsshogi-data (= ${source:Version})
Description: Shogi playing program based on OpenShogiLib
 GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
 World Computer Shogi Championship. This package contains several binaries to
 play with computer Shogi.
  - gpsshogi: support the CSA protocol
  - gpsusi: support the USI protocol
  - gpsshogi-viewer: GUI application to investigate positions
  - gpsshell: shell-like client to investigate positions

Package: gpsshogi-data
Architecture: all
Recommends: gpsshogi
Depends: ${misc:Depends}
Description: data files for gpsshogi
 GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
 World Computer Shogi Championship. This package contains several binaries to
 play with computer Shogi.
  - gpsshogi: support the CSA protocol
  - gpsusi: support the USI protocol
  - gpsshogi-viewer: GUI application to investigate positions
  - gpsshell: shell-like client to investigate positions
 .
 This package contains data files defining parameters of evaluation functions,
 an opening book for gpsshogi

Package: gpsshogi-dbg
Priority: extra
Section: debug
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, gpsshogi (= ${binary:Version})
Description: Shogi playing program based on OpenShogiLib
 GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
 World Computer Shogi Championship
 .
 This package is provided primarily to provide a backtrace with names in a
 debugger and makes it easier to interpret core dumps. Most users will not
 need this package.

## gpsshogi 0.5.0

=== bin/CMakeLists.txt ===
project (gpsshogi CXX)
cmake_minimum_required (VERSION 2.8)
set (CMAKE_VERBOSE_MAKEFILE on)

ENABLE_TESTING()

if (UNIX)
  set (CMAKE_CXX_FLAGS "-Wall")
  set (CMAKE_CXX_FLAGS_DEBUG "-O0 -g -DDEBUG")
  set (CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG")
  add_definitions(-march=native -DBOOST_FILESYSTEM_VERSION=2) 
endif()

if(MINGW)
  set (CMAKE_CXX_FLAGS "-Wall -D_MT -mthreads -static-libgcc -static-libstdc++")
  set (CMAKE_CXX_FLAGS_DEBUG "-O0 -g -DDEBUG")
  set (CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG -march=pentium4 -funroll-loops -funswitch-loops -fpeel-loops --param large-function-growth=48000 --param inline-unit-growth=8000 --param max-inline-insns-single=8000 -fomit-frame-pointer")
  add_definitions(-DOSL_SMP=1 -DOSL_DFPN_SMP_SEARCH -DMORE_CHECKMATE_IF_CAPTURE_MAJOR -DBOOST_FILESYSTEM_VERSION=2 -DBOOST_THREAD_USE_LIB=1 -DUSE_BOOST_POOL_ALLOCATOR=1 -D_WIN32_WINNT=0x0500)
  set (BOOST_ROOT "$ENV{HOME}/local/src/boost_1_46_1/")
endif(MINGW)

add_definitions(-DOSL_HOME="${CMAKE_CURRENT_SOURCE_DIR}" -DUSE_TCMALLOC=0 -D_REENTRANT)

include_directories ("${PROJECT_SOURCE_DIR}")
include_directories ("${PROJECT_SOURCE_DIR}/../include")
include_directories ("${PROJECT_SOURCE_DIR}/../../osl/include")

## Pthreads
#find_package (Threads)
#if (Threads_FOUND)
#  message (STATUS "Threads: ${CMAKE_THREAD_LIBS_INIT}")
#else()
#  message (FATAL_ERROR "Threads not found")
#endif()

## bzip2
find_library(Bz2_LIBRARY bz2 PATH "/usr/i686-w64-mingw32/lib"
             NO_DEFAULT_PATH)

## psapi
find_library(Psapi_LIBRARY psapi PATH "/usr/i686-w64-mingw32/lib"
             NO_DEFAULT_PATH)

## Boost thing
#set (BOOST_ROOT "$ENV{HOME}/local/boost_1_36_0_binaries/")
set (Boost_USE_STATIC_LIBS ON)
set (Boost_USE_MULTITHREADED ON)
find_package (Boost 1.46.1 COMPONENTS program_options filesystem serialization iostreams thread_win32 system)
if (Boost_FOUND)
  include_directories (${Boost_INCLUDE_DIRS})
  message (STATUS ${Boost_INCLUDE_DIRS})
else()
  message (FATAL_ERROR "Boost installation not found")
endif()

## gpsshogi
set(GPSSHOGI_HEADERS  options.h)
set(GPSSHOGI_SRCS     gpsshogi.cc)
set(GPSSHIGI_ALL_SRCS ${GPSSHOGI_HEADERS} ${GPSSHOGI_SRCS})
add_executable(gpsshogi ${GPSSHIGI_ALL_SRCS})
target_link_libraries (gpsshogi ${PROJECT_SOURCE_DIR}/../../osl/mingw-release/libosl.a)
target_link_libraries (gpsshogi ${Boost_PROGRAM_OPTIONS_LIBRARY})
target_link_libraries (gpsshogi ${Boost_FILESYSTEM_LIBRARY})
target_link_libraries (gpsshogi ${Boost_SERIALIZATION_LIBRARY})
target_link_libraries (gpsshogi ${Boost_IOSTREAMS_LIBRARY})
target_link_libraries (gpsshogi ${Boost_SYSTEM_LIBRARY})
target_link_libraries (gpsshogi ${Bz2_LIBRARY})
target_link_libraries (gpsshogi ${Psapi_LIBRARY})
target_link_libraries (gpsshogi ${Boost_THREAD_WIN32_LIBRARY})

## gpsusi
set(GPSUSI_HEADERS  options.h)
set(GPSUSI_SRCS     gpsusi.cc)
set(GPSUSI_ALL_SRCS ${GPSUSI_HEADERS} ${GPSUSI_SRCS})
add_executable(gpsusi ${GPSUSI_ALL_SRCS})
target_link_libraries (gpsusi ${PROJECT_SOURCE_DIR}/../../osl/mingw-release/libosl.a)
target_link_libraries (gpsusi ${Boost_PROGRAM_OPTIONS_LIBRARY})
target_link_libraries (gpsusi ${Boost_FILESYSTEM_LIBRARY})
target_link_libraries (gpsusi ${Boost_SERIALIZATION_LIBRARY})
target_link_libraries (gpsusi ${Boost_IOSTREAMS_LIBRARY})
target_link_libraries (gpsusi ${Boost_SYSTEM_LIBRARY})
target_link_libraries (gpsusi ${Bz2_LIBRARY})
target_link_libraries (gpsusi ${Psapi_LIBRARY})
target_link_libraries (gpsusi ${Boost_THREAD_WIN32_LIBRARY})

## installer
set (CPACK_PACKAGE_VENDOR "TeamGPS")
set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "GPSShogi by TeamGPS")
set (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/../sample/binary-dist/gpsshogi_setup/README.ja.txt")
set (CPACK_PACKAGE_VERSION_MAJOR "20111117")
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/../sample/binary-dist/GPL-2")
#set (CPACK_PACKAGE_EXECUTABLES gpsshogi;gpsshogi) # do not create start menu
set (CPACK_PACKAGE_INSTALL_DIRECTORY "gpsshogi")

# Specific to NSIS (Windows)
#set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY HKCU "/Environment/OSL_HOME" ${CPACK_NSIS_INSTALL_ROOT})
set (CPACK_NSIS_PACKAGE_NAME "GPSShogi")
set (CPACK_NSIS_DISPLAY_NAME "GPSShogi")
set (CPACK_NSIS_URL_INFO_ABOUT "http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/")
set (CPACK_NSIS_HELP_LINK "http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/")
## registry key for OSL_HOME environment variable
set (CPACK_NSIS_EXTRA_INSTALL_COMMANDS   "WriteRegStr HKCU \\\"Environment\\\" \\\"OSL_HOME\\\" \\\"$INSTDIR\\\"")
set (CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS "DeleteRegValue HKCU \\\"Environment\\\" \\\"OSL_HOME\\\"")

## Binary
install (TARGETS gpsshogi gpsusi
  RUNTIME DESTINATION smp
  LIBRARY DESTINATION smp
  ARCHIVE DESTINATION smp
)
## Data files
file (GLOB datafiles "${CMAKE_CURRENT_SOURCE_DIR}/../data/*.dat" "${CMAKE_CURRENT_SOURCE_DIR}/../data/*.bin" "${CMAKE_CURRENT_SOURCE_DIR}/../data/*.txt" "${CMAKE_CURRENT_SOURCE_DIR}/../data/*.pair")
file (GLOB dataratingfiles "${CMAKE_CURRENT_SOURCE_DIR}/../data/rating/*.txt")
install (FILES ${datafiles}       DESTINATION "data")
install (FILES ${dataratingfiles} DESTINATION "data/rating")
## README
file (GLOB readmefiles "${CMAKE_CURRENT_SOURCE_DIR}/../sample/binary-dist/gpsshogi_setup/README*.txt")
install (FILES ${readmefiles} DESTINATION "./")
## licenses for data
install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/../AUTHORS" "${CMAKE_CURRENT_SOURCE_DIR}/../COPYING" "${CMAKE_CURRENT_SOURCE_DIR}/../LICENSE" DESTINATION "data")
install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/../sample/binary-dist/GPL-2" DESTINATION "data")
## licenses for binaries
### OSL
set (OSL_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../../osl")
install (FILES "${OSL_SOURCE_DIR}/AUTHORS" DESTINATION "smp" RENAME "AUTHORS.osl")
install (FILES "${OSL_SOURCE_DIR}/LICENSE" DESTINATION "smp" RENAME "LICENSE.osl")
### GPS
install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/../AUTHORS" DESTINATION "smp" RENAME "AUTHORS")
install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/../COPYING" DESTINATION "smp" RENAME "COPYING")
install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/../LICENSE" DESTINATION "smp" RENAME "LICENSE")
### GPL
install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/../sample/binary-dist/GPL-2" DESTINATION "smp")
### Boost
install (FILES "${BOOST_ROOT}/LICENSE_1_0.txt" DESTINATION "smp" RENAME "copyright.boost") 
### bzip2
install (FILES "$ENV{HOME}/local/src/bzip2-1.0.6/LICENSE" DESTINATION "smp" RENAME "copyright.bzip2") 
### Mingw
install (FILES "/usr/share/doc/mingw-w64/copyright" DESTINATION "smp" RENAME "copyright.mingw")


set (CPACK_GENERATOR "NSIS")
include (CPack)

=== bin/Makefile ===
GPSSHOGI_HOME = ..
ifdef PROFILE
RELEASE = true
endif

-include makefile.local
include $(GPSSHOGI_HOME)/makefile.conf

#
all:
	$(MAKE) -C $(GPSSHOGI_HOME) update-revision
	$(MAKE) programs
programs: gpsshogi gpsusi alphabetastat 

ifdef PROFILE
PROF = $(PROFILE_FLAGS)
LDFLAGS += $(PROF)
endif

LOADLIBES += -lboost_thread$(BOOST_POSTFIX_MT) -lboost_program_options$(BOOST_POSTFIX) -lpthread

## #gcc
OTHERFLAGS = -pipe $(CPUOPTION)
ifdef DEBUG
CXXOPTFLAGS = -O
OTHERFLAGS += -g -DDEBUG 
else
CXXOPTFLAGS = $(RELEASE_CXX_OPTFLAGS)
WARNING_FLAGS += $(WARN_INLINE)
ifdef RELEASE
OTHERFLAGS +=  -DNDEBUG
endif
ifndef PROF
CXXOPTFLAGS += -fomit-frame-pointer
endif
endif

CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)

PROGRAM_SRCS = gpsshogi.cc gpsusi.cc alphabetastat.cc brinkmate.cc
SRCS = $(PROGRAM_SRCS) 
OBJS = $(patsubst %.cc,%.o,$(SRCS))

CC = $(CXX)
PROGRAMS = $(PROGRAM_SRCS:.cc=)
OSL_HOME_FLAGS = -DOSL_HOME=\"$(shell dirname `dirname \`pwd\``)/osl\"

gpsone: gpsone.cc gpsone.gcda gpsshogi.cc gpsoneprof
	$(CXX) -o $@ $(CXXFLAGS) $(OSL_HOME_FLAGS) $(PROFILE_USE) $(LDFLAGS) $< $(LDLIBS) $(FILE_TCMALLOC) $(LOADLIBES) -lbz2
gpsoneprof: gpsone.cc gpsshogi.cc
	$(CXX) -o $@ $(CXXFLAGS) $(OSL_HOME_FLAGS) $(PROFILE_GENERATE) $(LDFLAGS) $< $(LDLIBS) $(FILE_TCMALLOC) $(LOADLIBES)
gpsone-static: gpsone.cc gpsshogi.cc
	$(CXX) -o $@ $(CXXFLAGS) $(OSL_HOME_FLAGS) $(LDFLAGS) $< $(LDLIBS) $(FILE_TCMALLOC)  $(LOADLIBES) -lbz2

gpsusione: gpsusione.cc gpsusione.gcda gpsusi.cc gpsusioneprof
	$(CXX) -o $@ $(CXXFLAGS) $(OSL_HOME_FLAGS) $(PROFILE_USE) $(LDFLAGS) $< $(LDLIBS) $(FILE_TCMALLOC) $(LOADLIBES) -lbz2
gpsusioneprof: gpsusione.cc gpsusi.cc
	$(CXX) -o $@ $(CXXFLAGS) $(OSL_HOME_FLAGS) $(PROFILE_GENERATE) $(LDFLAGS) $< $(LDLIBS) $(FILE_TCMALLOC) $(LOADLIBES)
gpsusione-static: gpsusione.cc gpsusi.cc
	$(CXX) -o $@ $(CXXFLAGS) $(OSL_HOME_FLAGS) $(LDFLAGS) $< $(LDLIBS) $(FILE_TCMALLOC)  $(LOADLIBES) -lbz2

run-profile: gpsoneprof
	./gpsoneprof -e test --benchmark-more=16 -B45	
run-profile-mp: gpsoneprof
	./gpsoneprof -e test --benchmark-more=16 -B45 -N1
update-gpsone:
	-rm gpsoneprof gpsone gpsone.gcda 
	$(MAKE) gpsoneprof RELEASE=t
	$(MAKE) run-profile
	$(MAKE) gpsone RELEASE=t
update-gpsone-mp:
	-rm gpsoneprof gpsone gpsone.gcda 
	$(MAKE) gpsoneprof RELEASE=t
	$(MAKE) run-profile-mp
	$(MAKE) gpsone RELEASE=t

run-profile-usi: gpsusioneprof
	./gpsusioneprof --profile --benchmark-more=16 --benchmark-seconds=45
update-gpsusione:
	-rm gpsusioneprof gpsusione gpsusione.gcda 
	$(MAKE) gpsusioneprof RELEASE=t
	$(MAKE) run-profile-usi
	$(MAKE) gpsusione RELEASE=t

gpsusi gpsshogi alphabetastat brinkmate: $(FILE_OSL_ALL)

clean:
	-rm *.o $(PROGRAMS)
	-rm -rf .deps

light-clean:
	-rm -rf .deps .objs .gch 

-include $(patsubst %.cc,.deps/%.cc.d,$(SRCS))

.PHONY: all clean light-clean run-profile run-profile-mp run-profile-usi update-gpsusione

=== sample/gpsshell/Makefile ===
GPSSHOGI_HOME = ../..
-include makefile.local
include $(GPSSHOGI_HOME)/makefile.conf

#

ifdef PROFILE
PROF = -pg -g
LDFLAGS += $(PROF)
endif


## #gcc
OTHERFLAGS = -pipe $(CPUOPTION)
ifdef DEBUG
CXXOPTFLAGS = -O
OTHERFLAGS += -g -DDEBUG 
else
CXXOPTFLAGS = $(RELEASE_CXX_OPTFLAGS)
WARNING_FLAGS += $(WARN_INLINE)
ifdef RELEASE
OTHERFLAGS +=  -DNDEBUG
endif
ifndef PROF
CXXOPTFLAGS += -fomit-frame-pointer
endif
endif

ifeq ($(USE_TOKYO_CABINET),1)
LOADLIBES += -ltokyocabinet $(OSL_HOME)/lib/third_party/$(PROTOBUF)/src/.libs/libprotobuf.a
endif
ifeq ($(MINIMAL_GPSSHELL),)
  ifeq ($(ENABLE_REDIS),)
  else
    LOADLIBES += $(GPSSHOGI_LIB_DIR)/redis/libgpsshogiredis.a -lhiredis -lglog
    OTHERFLAGS += -DENABLE_REDIS=t
    INCLUDES += $(GPSSHOGI_HOME)/include
  endif
else
  OTHERFLAGS += -DMINIMAL_GPSSHELL=t
endif
LOADLIBES += -lboost_thread$(BOOST_POSTFIX_MT) -lboost_program_options$(BOOST_POSTFIX_MT) \
	     -lPocoNet -lPocoFoundation -lreadline -lgsl -lgslcblas -lpthread 
INCLUDES += -I. -I/usr/include/gsl

CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)

SRCS = gpsshell.cc board.cc book.cc commands.cc httpclient.cc ignorelist.cc
OBJS = $(patsubst %.cc,%.o,$(SRCS))
PROGRAMS = gpsshell httpclient-sample

all: $(PROGRAMS)

gpsshell: $(OBJS)
ifeq ($(USE_TOKYO_CABINET),1)
gpsshell: $(GPSSHOGI_HOME)/lib/recorddb/libgpsshogirecorddb.a $(GPSSHOGI_HOME)/lib/dbm/libgpsshogidbm.a
endif
httpclient-sample : httpclient-sample.o httpclient.o

CC = $(CXX)

gpsshell : $(FILE_OSL_ALL)

clean:
	-rm *.o $(PROGRAMS)
	-rm -rf .deps

light-clean:
	-rm -rf .deps .objs .gch 

-include $(patsubst %.cc,.deps/%.cc.d,$(SRCS))

=== debian/changelog ===
gpsshogi (0.5.0-1) unstable; urgency=low

  * New upstream release (r2758).
  * Build-depends on the latest boost libraries (1.49.0).  (Closes: #672748)
  * debian/patches/20120121-r2689-gpsshell.patch: removed. It has been applied
    by the upstream.
  * debian/control:
    - Updated the corresponding libosl version.
    - Bumped up Standards-Version to 3.9.2.
  * Added a new patch: debian/patches/20120608-Makefile.patch
    - Build in a hardening-friendly way.

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 25 May 2012 20:16:34 +0900

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: Daigo Moriwaki <daigo@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, quilt, libosl-dev (>= 0.4.3), libboost1.46-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline6-dev, libgsl0-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), cdbs, quilt, dpkg-dev (>= 1.16.1~), libosl-dev (>= 0.5.0), libboost1.49-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline6-dev, libgsl0-dev
+Standards-Version: 3.9.3
 Homepage: http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/pukiwiki.php
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gpsshogi.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/gpsshogi.git
 
 Package: gpsshogi
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, libosl1 (>= 0.4.3), gpsshogi-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libosl1 (>= 0.5.0), gpsshogi-data (= ${source:Version})
 Description: Shogi playing program based on OpenShogiLib
  GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
  World Computer Shogi Championship. This package contains several binaries to

=== debian/rules ===
#!/usr/bin/make -f

SOURCE = $(shell dpkg-parsechangelog | grep "^Source" | sed "s/Source: //")
VERSION = $(shell dpkg-parsechangelog | grep "^Version" | sed "s/Version: //")
ORIG_VERSION = $(shell echo $(VERSION) | sed "s/-.*//")
PRISTINE_VERSION = $(shell echo $(ORIG_VERSION) | sed "s/\+dfsg//")
UPSTREAM_VERSION = $(shell echo $(PRISTINE_VERSION) | sed "s/^0\.0\.//")
SRCDIR_NAME = $(SOURCE)-$(ORIG_VERSION).orig

DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

DEB_MAKE_CLEAN_TARGET   = clean
DEB_MAKE_BUILD_TARGET   = all
DEB_MAKE_INSTALL_TARGET = 
DEB_MAKE_CHECK_TARGET   =

DEB_MAKE_PARALLEL ?= $(and $(DEB_BUILD_PARALLEL),$(DEB_PARALLEL_JOBS),-j$(DEB_PARALLEL_JOBS))

so_ver=1

DEB_DBG_PACKAGE_gpsshogi = gpsshogi-dbg
DEB_INSTALL_DIRS_gpsshogi += usr/games
DEB_INSTALL_MANPAGES_gpsshogi += debian/gpsusi.1
DEB_INSTALL_MANPAGES_gpsshogi += debian/gpsshogi.1
DEB_INSTALL_MANPAGES_gpsshogi += debian/gpsshell.1
DEB_INSTALL_MANPAGES_gpsshogi += debian/gpsshogi-viewer.1
DEB_INSTALL_DOCS_gpsshogi += debian/epl-v10.html
DEB_INSTALL_DIRS_gpsshogi_data += usr/share/gpsshogi-data/data

pre-build::
	cp $(CURDIR)/debian/qt-common-local.pro.$(DEB_HOST_ARCH_CPU) $(CURDIR)/qt-common-local.pro

build/gpsshogi::
	# gpsusi, gpsshogi
	$(MAKE) -C bin OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed `dpkg-buildflags --get LDFLAGS`' LDLIBS='-losl -lboost_date_time -lboost_filesystem-mt -lboost_serialization-mt -lboost_iostreams-mt -lboost_system-mt -ltcmalloc_minimal' RELEASE=t gpsshogi gpsusi
	help2man --section 6 -n "GPSShogi for XShogi and the CSA protocol" --no-info \
	  $(CURDIR)/bin/gpsshogi > $(CURDIR)/debian/gpsshogi.1
	help2man --section 6 -n "GPSShogi for the USI protocol" --no-info \
	  $(CURDIR)/bin/gpsusi > $(CURDIR)/debian/gpsusi.1
	# gpsshell
	$(MAKE) -C sample/gpsshell OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed `dpkg-buildflags --get LDFLAGS`' LDLIBS='-losl -lboost_date_time -lboost_filesystem-mt -lboost_serialization-mt -lboost_iostreams-mt -lboost_system-mt -ltcmalloc_minimal' RELEASE=t gpsshell
	help2man --section 6 -n "GPSShogi shell like client" --version-string "gpsshell" --no-info \
	  $(CURDIR)/sample/gpsshell/gpsshell > $(CURDIR)/debian/gpsshell.1
	# viewer
	for dir in lib/gui sample/viewer ; do \
	  (cd $(CURDIR)/$$dir && \
	   qmake OSL_HOME_QT="" TCMALLOC="" OSL_HOME=/usr/share/libosl-dev && \
	   $(MAKE) OSL_HOME_QT="" TCMALLOC="" OSL_HOME=/usr/share/libosl-dev) ; \
	done

binary-install/gpsshogi::
	dh_install -p$(cdbs_curpkg) --sourcedir=bin gpsshogi gpsusi usr/games
	dh_install -p$(cdbs_curpkg) --sourcedir=sample/gpsshell gpsshell usr/games
	mv $(CURDIR)/sample/viewer/viewer $(CURDIR)/sample/viewer/gpsshogi-viewer 
	dh_install -p$(cdbs_curpkg) --sourcedir=sample/viewer gpsshogi-viewer usr/games
	for file in gpsusi gpsshogi gpsshell gpsshogi-viewer ; do \
	  chrpath --delete $(CURDIR)/debian/$(cdbs_curpkg)/usr/games/$$file ; \
	done

binary-install/gpsshogi-data::
	dh_install -p$(cdbs_curpkg) --sourcedir=data joseki.dat usr/share/$(cdbs_curpkg)/data
	dh_install -p$(cdbs_curpkg) --sourcedir=data -X.pl -X.svn rating usr/share/$(cdbs_curpkg)/data
	for file in \
	  sibling-attack.pair eval.bin eval-info.txt \
	  move-order.bin move-order-info.txt move-tactical.txt \
	  progress.txt progress-info.txt ; \
	do \
	  dh_install -p$(cdbs_curpkg) --sourcedir=data $$file usr/share/$(cdbs_curpkg)/data ; \
	done

clean::
	for dir in lib/gui sample/viewer ; do \
	  [ ! -f $$dir/Makefile ] || $(MAKE) -C $$dir OSL_HOME=/usr/share/libosl-dev distclean ; \
	done
	for dir in lib bin sample/gpsshell ; do \
	  $(MAKE) -C $$dir OSL_HOME=/usr/share/libosl-dev clean ; \
	done
	-rm -f $(CURDIR)/sample/viewer/gpsshogi-viewer
	-rm -f $(CURDIR)/qt-common-local.pro
	for file in gpsusi gpsshogi gpsshell ; do \
	  rm -rf $(CURDIR)/debian/$$file.1 ; \
	done

get-orig-source:
	if [ ! -f gpsshogi.tar.gz ] ; then \
	  wget -O gpsshogi.tar.gz "http://gps.tanaka.ecc.u-tokyo.ac.jp/cgi-bin/viewvc.cgi/trunk/gpsshogi.tar.gz?root=gpsshogi&view=tar" ; \
        fi
	mkdir debian/$(SRCDIR_NAME)
	cd debian/$(SRCDIR_NAME) && tar xzvf ../../gpsshogi.tar.gz
	if test "`ls debian/$(SRCDIR_NAME) | wc -l`" -eq "1" ; then \
	        subdir=`echo debian/$(SRCDIR_NAME)/*` && \
		find $$subdir -mindepth 1 -maxdepth 1 -exec mv -t debian/$(SRCDIR_NAME) -- {} + && \
	        rmdir $$subdir ; \
	fi
	tar czf ../$(SOURCE)_$(ORIG_VERSION).orig.tar.gz -C debian $(SRCDIR_NAME)
	rm -rf debian/$(SRCDIR_NAME)

## gpsshogi 0.6.0

=== Makefile ===
GPSSHOGI_HOME = .
-include makefile.local
include $(GPSSHOGI_HOME)/makefile.conf

all:

viewer: update-revision gui-lib
	-rm sample/viewer/viewer
	cd sample/viewer; env $(QMAKEENV) $(QMAKEPATH)qmake $(QMAKEARG)
	cd sample/viewer; env $(QMAKEENV) $(MAKE) 

viewer-release: update-revision gui-lib
	-rm sample/viewer/viewer
	cd sample/viewer; env $(QMAKEENV) $(QMAKEPATH)qmake $(QMAKEARG) OSL_LIB=release
	cd sample/viewer; env $(QMAKEENV) $(MAKE)

gui-lib:
	-rm lib/gui/libgpsshogigui*
	cd lib/gui; env $(QMAKEENV) $(QMAKEPATH)qmake $(QMAKEARG)
	cd lib/gui; env $(QMAKEENV) $(MAKE)

clean:
	cd lib/gui; $(MAKE) clean
	cd sample/viewer; $(MAKE) clean
	cd bin; $(MAKE) clean
	cd lib; $(MAKE) clean

update-revision:
	cat $(GPSSHOGI_REVISION_H) | sed -e 's/r[0-9][0-9A-Z:]*/r'`svnversion`'/g' > $(GPSSHOGI_REVISION_H).new
	if cmp $(GPSSHOGI_REVISION_H) $(GPSSHOGI_REVISION_H).new > /dev/null; then \
	  rm $(GPSSHOGI_REVISION_H).new; \
	else \
	  mv $(GPSSHOGI_REVISION_H).new $(GPSSHOGI_REVISION_H); \
	fi

=== bin/CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,13 @@
 endif()
 
 if(MINGW)
-  set (CMAKE_CXX_FLAGS "-Wall -D_MT -mthreads -static-libgcc -static-libstdc++")
+  set (CMAKE_CXX_FLAGS "-Wall -D_MT -mthreads -mwin32 -msse2 -static-libgcc -static-libstdc++ -DWIN32_LEAN_AND_MEAN")
   set (CMAKE_CXX_FLAGS_DEBUG "-O0 -g -DDEBUG")
   set (CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG -march=pentium4 -funroll-loops -funswitch-loops -fpeel-loops --param large-function-growth=48000 --param inline-unit-growth=8000 --param max-inline-insns-single=8000 -fomit-frame-pointer")
   add_definitions(-DOSL_SMP=1 -DOSL_DFPN_SMP_SEARCH -DMORE_CHECKMATE_IF_CAPTURE_MAJOR -DBOOST_FILESYSTEM_VERSION=2 -DBOOST_THREAD_USE_LIB=1 -DUSE_BOOST_POOL_ALLOCATOR=1 -D_WIN32_WINNT=0x0500)
   set (BOOST_ROOT "$ENV{HOME}/local/src/boost_1_46_1/")
+
+  find_library(Winsock2_LIBRARY ws2_32)
 endif(MINGW)
 
 add_definitions(-DOSL_HOME="${CMAKE_CURRENT_SOURCE_DIR}" -DUSE_TCMALLOC=0 -D_REENTRANT)
@@ -45,7 +47,7 @@
 #set (BOOST_ROOT "$ENV{HOME}/local/boost_1_36_0_binaries/")
 set (Boost_USE_STATIC_LIBS ON)
 set (Boost_USE_MULTITHREADED ON)
-find_package (Boost 1.46.1 COMPONENTS program_options filesystem serialization iostreams thread_win32 system)
+find_package (Boost 1.46.1 COMPONENTS program_options date_time filesystem serialization iostreams thread_win32 system)
 if (Boost_FOUND)
   include_directories (${Boost_INCLUDE_DIRS})
   message (STATUS ${Boost_INCLUDE_DIRS})
@@ -53,12 +55,17 @@
   message (FATAL_ERROR "Boost installation not found")
 endif()
 
+## Import libosl.a
+add_library (osl STATIC IMPORTED)
+set_property (TARGET osl PROPERTY IMPORTED_LOCATION_DEBUG   ${PROJECT_SOURCE_DIR}/../../osl/mingw-debug/libosl.a)
+set_property (TARGET osl PROPERTY IMPORTED_LOCATION_RELEASE ${PROJECT_SOURCE_DIR}/../../osl/mingw-release/libosl.a)
+
 ## gpsshogi
 set(GPSSHOGI_HEADERS  options.h)
 set(GPSSHOGI_SRCS     gpsshogi.cc)
 set(GPSSHIGI_ALL_SRCS ${GPSSHOGI_HEADERS} ${GPSSHOGI_SRCS})
 add_executable(gpsshogi ${GPSSHIGI_ALL_SRCS})
-target_link_libraries (gpsshogi ${PROJECT_SOURCE_DIR}/../../osl/mingw-release/libosl.a)
+target_link_libraries (gpsshogi osl)
 target_link_libraries (gpsshogi ${Boost_PROGRAM_OPTIONS_LIBRARY})
 target_link_libraries (gpsshogi ${Boost_FILESYSTEM_LIBRARY})
 target_link_libraries (gpsshogi ${Boost_SERIALIZATION_LIBRARY})
@@ -67,14 +74,18 @@
 target_link_libraries (gpsshogi ${Bz2_LIBRARY})
 target_link_libraries (gpsshogi ${Psapi_LIBRARY})
 target_link_libraries (gpsshogi ${Boost_THREAD_WIN32_LIBRARY})
+if(MINGW)
+  target_link_libraries (gpsshogi ${Winsock2_LIBRARY})
+endif(MINGW)
 
 ## gpsusi
 set(GPSUSI_HEADERS  options.h)
 set(GPSUSI_SRCS     gpsusi.cc)
 set(GPSUSI_ALL_SRCS ${GPSUSI_HEADERS} ${GPSUSI_SRCS})
 add_executable(gpsusi ${GPSUSI_ALL_SRCS})
-target_link_libraries (gpsusi ${PROJECT_SOURCE_DIR}/../../osl/mingw-release/libosl.a)
+target_link_libraries (gpsusi osl)
 target_link_libraries (gpsusi ${Boost_PROGRAM_OPTIONS_LIBRARY})
+target_link_libraries (gpsusi ${Boost_DATE_TIME_LIBRARY})
 target_link_libraries (gpsusi ${Boost_FILESYSTEM_LIBRARY})
 target_link_libraries (gpsusi ${Boost_SERIALIZATION_LIBRARY})
 target_link_libraries (gpsusi ${Boost_IOSTREAMS_LIBRARY})
@@ -82,12 +93,15 @@
 target_link_libraries (gpsusi ${Bz2_LIBRARY})
 target_link_libraries (gpsusi ${Psapi_LIBRARY})
 target_link_libraries (gpsusi ${Boost_THREAD_WIN32_LIBRARY})
+if(MINGW)
+  target_link_libraries (gpsusi ${Winsock2_LIBRARY})
+endif(MINGW)
 
 ## installer
 set (CPACK_PACKAGE_VENDOR "TeamGPS")
 set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "GPSShogi by TeamGPS")
 set (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/../sample/binary-dist/gpsshogi_setup/README.ja.txt")
-set (CPACK_PACKAGE_VERSION_MAJOR "20111117")
+set (CPACK_PACKAGE_VERSION_MAJOR "20120707")
 set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/../sample/binary-dist/GPL-2")
 #set (CPACK_PACKAGE_EXECUTABLES gpsshogi;gpsshogi) # do not create start menu
 set (CPACK_PACKAGE_INSTALL_DIRECTORY "gpsshogi")

=== bin/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 endif
 endif
 
-CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
+CXXFLAGS += $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
 
 PROGRAM_SRCS = gpsshogi.cc gpsusi.cc alphabetastat.cc brinkmate.cc
 SRCS = $(PROGRAM_SRCS)

=== lib/dbm/Makefile ===
GPSSHOGI_HOME = ../..
include $(GPSSHOGI_HOME)/makefile.conf
-include $(GPSSHOGI_HOME)/makefile.local
-include makefile.local

CXXOPTFLAGS ?= -O
OTHERFLAGS = -pipe -Wall -g $(CPUOPTION)

CXXFLAGS = -DOSL_HOME=\"`pwd`/../..\" $(CXXOPTFLAGS) $(OTHERFLAGS) $(PROF) $(INCLUDES)
all : libgpsshogidbm.a

OBJS = doNothing.o
ifeq ($(USE_TOKYO_CABINET),1)
OBJS += tokyoCabinet.o
endif
SRCS = $(OBJS:.o=.cc)

-include $(patsubst %.cc,.deps/%.cc.d,$(SRCS))

libgpsshogidbm.a : $(OBJS)
	$(ARC) $@ $(OBJS)
	-$(RANLIB) $@

clean: 
	-rm -f core *.o $(OBJS) $(PROGNAME) nohup.out
	-rm -rf .deps
distclean: clean 
	rm -f *~

=== lib/redis/Makefile ===
GPSSHOGI_HOME = ../..
include $(GPSSHOGI_HOME)/makefile.conf
-include $(GPSSHOGI_HOME)/makefile.local
-include makefile.local

ifdef PROFILE
RELEASE = true
endif

all : libgpsshogiredis.a

ifdef PROFILE
PROF = $(PROFILE_FLAGS)
LDFLAGS += $(PROF)
endif

LOADLIBES += -lhiredis -lglog

OSL_HOME_FLAGS = -DOSL_HOME=\"$(shell dirname `dirname \`pwd\``)/osl\"
## #gcc
OTHERFLAGS = -pipe -Wall $(CPUOPTION)
ifdef DEBUG
CXXOPTFLAGS = -O
OTHERFLAGS += -g -DDEBUG 
else
CXXOPTFLAGS = $(RELEASE_CXX_OPTFLAGS)
WARNING_FLAGS += $(WARN_INLINE)
ifdef RELEASE
OTHERFLAGS +=  -DNDEBUG
endif
ifndef PROF
CXXOPTFLAGS += -fomit-frame-pointer
endif
endif

CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
OBJS = redis.o searchResult.o
SRCS = $(OBJS:.o=.cc)

-include $(patsubst %.cc,.deps/%.cc.d,$(SRCS))

libgpsshogiredis.a : $(OBJS)
	$(ARC) $@ $(OBJS)
	-$(RANLIB) $@

clean: 
	-rm -f core *.o $(OBJS) *.a
	-rm -rf .deps
distclean: clean 
	rm -f *~

.PHONY: all clean distclean

=== sample/category/Makefile ===
GPSSHOGI_HOME = ../..
include $(GPSSHOGI_HOME)/makefile.conf
-include makefile.local

# type make RELEASE=yes to build optimized programs
# type make DEBUG=true to build programs for debugging

OTHERFLAGS = -pipe $(CPUOPTION)
ifdef DEBUG
CXXOPTFLAGS ?= -O0
OTHERFLAGS += -g -DDEBUG
else
CXXOPTFLAGS = $(RELEASE_CXX_OPTFLAGS)
WARNING_FLAGS += $(WARN_INLINE)
ifdef RELEASE
OTHERFLAGS +=  -DNDEBUG
endif
endif

CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
LOADLIBES += -lboost_program_options$(BOOST_POSTFIX) -lboost_thread$(BOOST_POSTFIX)

SRCS = rating/rating.cc
PROGRAMS = $(SRCS:.cc=)

all: $(PROGRAMS)
$(PROGRAMS): $(FILE_OSL_ALL)

CC = $(CXX)

clean: 
	-rm -f core *.o $(PROGRAMS) nohup.out *~
	-rm -rf .deps
distclean: clean 
	rm -f *~

-include $(patsubst %.cc,.deps/%.cc.d,$(SRCS))

=== sample/gpsshell/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	     -lPocoNet -lPocoFoundation -lreadline -lgsl -lgslcblas -lpthread 
 INCLUDES += -I. -I/usr/include/gsl
 
-CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
+CXXFLAGS += $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
 
 SRCS = gpsshell.cc board.cc book.cc commands.cc httpclient.cc ignorelist.cc
 OBJS = $(patsubst %.cc,%.o,$(SRCS))

=== sample/progress/Makefile ===
GPSSHOGI_HOME = ../..
include $(GPSSHOGI_HOME)/makefile.conf
-include makefile.local

LOADLIBES = 

ifdef DEBUG
CXXOPTFLAGS += -O
OTHERFLAGS += -pipe -Wall $(CXXOPTFLAGS) -g -DDEBUG
else
CXXOPTFLAGS += -O2 -frename-registers -funroll-loops 
OTHERFLAGS += -pipe -Wall $(CXXOPTFLAGS) $(CPUOPTION) -fomit-frame-pointer -finline-limit=2000
ifdef RELEASE
OTHERFLAGS += -DNDEBUG
endif
endif

CXXFLAGS += $(PROF) $(INCLUDES) $(OTHERFLAGS)

SRCS = show_progress.cc learn.cc show_ptypeposition.cc show_weights.cc count.cc
OBJS = $(SRCS:.cc=.o)
PROGRAMS = $(SRCS:.cc=)
LIBS = $(GPSSHOGI_LIB_DIR)/libgpsshogi.a $(OSL_LIB_DIR)/libosl.a 

CC = $(CXX)

all: $(PROGRAMS)
$(PROGRAMS): $(LIBS)

clean: 
	rm -f core *.o $(PROGRAMS) nohup.out *~
distclean: clean 
	rm -f *~

# for experiments
weights200k-size.txt:
	./learn -s -o $@ -N 200000
weights200k.txt:
	./learn -o $@ -N 200000

weights-ptype-rank200k.txt:
	./learn -g -o $@ -N 200000
weights-ptype-rank200k-size.txt:
	./learn -s -g -o $@ -N 200000

-include $(patsubst %.cc,.deps/%.cc.d,$(SRCS))

=== sample/pv/Makefile ===
# Programs in this directory requires Tokyo Cabinet to be installed.
GPSSHOGI_HOME = ../..
include $(GPSSHOGI_HOME)/makefile.conf
-include makefile.local

OTHERFLAGS = -pipe $(CPUOPTION)
ifdef DEBUG
CXXOPTFLAGS ?= -O0
OTHERFLAGS += -g -DDEBUG
else
CXXOPTFLAGS = $(RELEASE_CXX_OPTFLAGS)
WARNING_FLAGS += $(WARN_INLINE)
ifdef RELEASE
OTHERFLAGS +=  -DNDEBUG
endif
endif

CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
LOADLIBES += -lboost_program_options$(BOOST_POSTFIX) -lboost_thread$(BOOST_POSTFIX) -ltokyocabinet -lz -lrt -lpthread -lm -lc $(OSL_HOME)/lib/third_party/$(PROTOBUF)/src/.libs/libprotobuf.a
INCLUDES += -I$(OSL_HOME)/lib/third_party/$(PROTOBUF)/src

SRCS = pv.cc dump-pvs.cc pv-per-iteration.cc iter-hist.cc
PROGRAMS = $(SRCS:.cc=)

all:
	$(MAKE) update-lib
	$(MAKE) $(PROGRAMS)
$(PROGRAMS): $(FILE_OSL_ALL) ../../lib/dbm/libgpsshogidbm.a moves.pb.o

CC = $(CXX)

protoc_middleman: moves.proto
	$(OSL_HOME)/lib/third_party/$(PROTOBUF)/src/protoc --cpp_out=. moves.proto
	@touch protoc_middleman
moves.pb.cc: protoc_middleman
moves.pb.o: moves.pb.cc

update-lib:
	cd ../../lib/dbm; $(MAKE) RELEASE=$(RELEASE)
clean: 
	-rm -f core *.o $(PROGRAMS) nohup.out *~ protoc_middleman
	-rm -rf .deps moves.pb.cc moves.pb.h
distclean: clean 
	rm -f *~

-include $(patsubst %.cc,.deps/%.cc.d,$(SRCS))

.PHONY: all update-lib clean distclean

=== sample/tcpcluster/Makefile ===
all:
	$(MAKE) -C bin

cleandeps:
	-rm -rf */.deps
	-rm */*.a

clean:
	$(MAKE) -C lib clean
	$(MAKE) -C bin clean

=== sample/eval/bin/Makefile ===
GPSSHOGI_HOME = ../../..
include $(GPSSHOGI_HOME)/makefile.conf
-include makefile.local

OTHERFLAGS = -pipe $(CPUOPTION)
ifdef DEBUG
CXXOPTFLAGS ?= -O0
OTHERFLAGS += -g -DDEBUG
else
CXXOPTFLAGS = $(RELEASE_CXX_OPTFLAGS)
WARNING_FLAGS += $(WARN_INLINE)
ifdef RELEASE
OTHERFLAGS +=  -DNDEBUG
endif
endif

ifdef PROFILE
PROF = $(PROFILE_FLAGS)
LDFLAGS += $(PROF)
endif

INCLUDES += -I../lib
CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
LOADLIBES += -lboost_program_options$(BOOST_POSTFIX) -lboost_thread$(BOOST_POSTFIX_MT) -lz

SRCS = pv.cc pvall.cc show-eval.cc cross-validate.cc \
  learn.cc move-rating.cc select-record.cc find-pv.cc \
  one-sided-features.cc find-overfit.cc compare-pv.cc \
  bonanza-learn.cc progressevalstat.cc analyze-eval.cc
PROGRAMS = $(SRCS:.cc=)

LIB_EVAL = ../lib/libeval.a

all: 
	$(MAKE) update-lib 
	$(MAKE) $(PROGRAMS)
$(PROGRAMS): $(LIB_EVAL) $(FILE_OSL_ALL)

CC = $(CXX)

update-lib:
	cd ../lib; $(MAKE) RELEASE=$(RELEASE)

clean: 
	-rm -f core *.o $(PROGRAMS) nohup.out *~
	-rm -rf .deps
	$(MAKE) -C ../lib clean
distclean: clean 
	rm -f *~

-include $(patsubst %.cc,.deps/%.cc.d,$(SRCS))

.PHONY: all update-lib clean distclean

=== sample/eval/lib/Makefile ===
GPSSHOGI_HOME = ../../..
include $(GPSSHOGI_HOME)/makefile.conf
-include makefile.local

OTHERFLAGS = -g -pipe $(CPUOPTION)
ifdef DEBUG
CXXOPTFLAGS = -O0
OTHERFLAGS += -DDEBUG
else
CXXOPTFLAGS = $(RELEASE_CXX_OPTFLAGS)
WARNING_FLAGS += $(WARN_INLINE)
ifdef RELEASE
OTHERFLAGS +=  -DNDEBUG
endif
ifdef PROFILE
OTHERFLAGS +=  -DNDEBUG
endif
endif

WARNING_FLAGS += -Wno-sign-compare

CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
INCLUDES += -I.

all: libeval.a

CC = $(CXX)

OBJS = quiesce.o analyzer.o pvFile.o pvGenerator.o \
	l1Ball.o rand012.o rotateRecord.o pvVector.o loss.o \
	eval/eval.o eval/evalFactory.o eval/kingEval.o \
	eval/ptypeAttacked.o eval/piecePair.o \
	eval/progress.o eval/pin.o eval/pieceStand.o \
	eval/mobility.o eval/minorPiece.o eval/majorPiece.o \
	eval/progressFeature.o eval/openMidEnding.o \
	eval/ptypeEval.o eval/piecePairKing.o eval/progressEval.o
SRCS = $(OBJS:.o=.cc)

libeval.a : $(OBJS)
	-rm $@
	$(ARC) $@ $(OBJS)
	-$(RANLIB) $@

clean: 
	-rm -f core $(OBJS) *.o $(PROGRAMS) nohup.out *~
	-rm -rf .deps
distclean: clean 
	rm -f *~

-include $(patsubst %.cc,.deps/%.cc.d,$(SRCS))

=== debian/changelog ===
gpsshogi (0.6.0-3) unstable; urgency=medium

  * debian/qt-common-local.pro.i386:
    - Stop using march to build on the i386 architecture.
    - Build without SSE.
  * Use ESP license in a text format since the previous html format had
    privacy-breach-google-adsense.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 08 Feb 2014 23:41:31 +0900

gpsshogi (0.6.0-2) unstable; urgency=low

  * Now build-depends on libboost1.54-all-dev.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 15 Sep 2013 21:18:30 +0900

gpsshogi (0.6.0-1) unstable; urgency=low

  * New upstream release (r2844).
  * Removed debian/patches/20120608-Makefile.patch, which has been applied by
    the upstream.
  * debian/control:
    -  Bumped up Standards-Version to 3.9.4.
    - Updated the corresponding libosl version.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 21 Jul 2013 21:58:29 +0900

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: Daigo Moriwaki <daigo@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, quilt, dpkg-dev (>= 1.16.1~), libosl-dev (>= 0.5.0), libboost1.49-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline6-dev, libgsl0-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7), cdbs, quilt, dpkg-dev (>= 1.16.1~), libosl-dev (>= 0.6.0), libboost1.54-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline6-dev, libgsl0-dev
+Standards-Version: 3.9.4
 Homepage: http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/pukiwiki.php
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gpsshogi.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/gpsshogi.git
 
 Package: gpsshogi
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, libosl1 (>= 0.5.0), gpsshogi-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libosl1 (>= 0.6.0), gpsshogi-data (= ${source:Version})
 Description: Shogi playing program based on OpenShogiLib
  GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
  World Computer Shogi Championship. This package contains several binaries to

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 DEB_INSTALL_MANPAGES_gpsshogi += debian/gpsshogi.1
 DEB_INSTALL_MANPAGES_gpsshogi += debian/gpsshell.1
 DEB_INSTALL_MANPAGES_gpsshogi += debian/gpsshogi-viewer.1
-DEB_INSTALL_DOCS_gpsshogi += debian/epl-v10.html
+DEB_INSTALL_DOCS_gpsshogi += debian/epl-v10.txt
 DEB_INSTALL_DIRS_gpsshogi_data += usr/share/gpsshogi-data/data
 
 pre-build::
@@ -38,13 +38,13 @@
 
 build/gpsshogi::
 	# gpsusi, gpsshogi
-	$(MAKE) -C bin OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed `dpkg-buildflags --get LDFLAGS`' LDLIBS='-losl -lboost_date_time -lboost_filesystem-mt -lboost_serialization-mt -lboost_iostreams-mt -lboost_system-mt -ltcmalloc_minimal' RELEASE=t gpsshogi gpsusi
+	$(MAKE) -C bin OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed `dpkg-buildflags --get LDFLAGS`' LDLIBS='-losl -lboost_date_time -lboost_filesystem -lboost_serialization -lboost_iostreams -lboost_system -ltcmalloc_minimal' RELEASE=t gpsshogi gpsusi
 	help2man --section 6 -n "GPSShogi for XShogi and the CSA protocol" --no-info \
 	  $(CURDIR)/bin/gpsshogi > $(CURDIR)/debian/gpsshogi.1
 	help2man --section 6 -n "GPSShogi for the USI protocol" --no-info \
 	  $(CURDIR)/bin/gpsusi > $(CURDIR)/debian/gpsusi.1
 	# gpsshell
-	$(MAKE) -C sample/gpsshell OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed `dpkg-buildflags --get LDFLAGS`' LDLIBS='-losl -lboost_date_time -lboost_filesystem-mt -lboost_serialization-mt -lboost_iostreams-mt -lboost_system-mt -ltcmalloc_minimal' RELEASE=t gpsshell
+	$(MAKE) -C sample/gpsshell OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed `dpkg-buildflags --get LDFLAGS`' LDLIBS='-losl -lboost_date_time -lboost_filesystem -lboost_serialization -lboost_iostreams -lboost_system -ltcmalloc_minimal' RELEASE=t gpsshell
 	help2man --section 6 -n "GPSShogi shell like client" --version-string "gpsshell" --no-info \
 	  $(CURDIR)/sample/gpsshell/gpsshell > $(CURDIR)/debian/gpsshell.1
 	# viewer
